//
//  ViewController.swift
//  ProcessCheckFile
//
//  Created by 朱东勇 on 2022/11/17.
//

import Cocoa

class ViewController: NSViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        //        ProcessFont.processRTFAutoFile(.FontNameWithSize)
        //        ProcessFont.processRTFAutoFile(.Color)
        //        ProcessFont.processRTFAutoFile(.SpecialCharacter)
        //        ProcessFont.processRTFAutoFile(.Chinese)
        
        //        ProcessThumbnal.process("/Users/zhudongyong/Desktop/文档/对照文档/PDFConvert_China_Auto_Test.rtf")
        FileAttributeKey.busy
        let fileAttributy = try! FileManager.default.attributesOfItem(atPath: "/Users/zhudongyong/Desktop/文档 2/BMP/Others/Origin Files/125-years-of-topo-mapping.pdf")
        let symbAttributy = try! FileManager.default.attributesOfItem(atPath: "/Users/zhudongyong/Desktop/文档 2/BMP/Others/Origin Files/125-years-of-topo-mapping的替身.pdf")
        let fileAttributy2 = try! FileManager.default.attributesOfItem(atPath: "/Users/zhudongyong/Desktop/文档 2/BMP/Others/Origin Files/nrcs141p2_018306.pdf")
        let symbAttributy2 = try! FileManager.default.attributesOfItem(atPath: "/Users/zhudongyong/Desktop/文档 2/BMP/Others/Origin Files/nrcs141p2_018306的替身.pdf")
        
        let url = URL.init(filePath: "/Users/zhudongyong/Desktop/文档 2/BMP/Others/Origin Files/125-years-of-topo-mapping的替身.pdf")
        let string = try! NSDictionary.init(contentsOf: url, error: ())
        
        NSLog("%@", fileAttributy)
        NSLog("%@", symbAttributy)
        NSLog("%@", fileAttributy2)
        NSLog("%@", symbAttributy2)
        
        NSLog("%@", string)
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }


}
